services:
  immich_postgres:
    command:
    - postgres
    - -c
    - config_file=/etc/postgresql/postgresql.conf
    container_name: immich_postgres
    entrypoint:
    - /usr/local/bin/immich-docker-entrypoint.sh
    environment:
      DB_STORAGE_TYPE: SSD
      GOSU_VERSION: '1.17'
      LANG: en_US.utf8
      PATH: /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/lib/postgresql/14/bin
      PGDATA: /var/lib/postgresql/data
      PG_MAJOR: '14'
      PG_VERSION: 14.18-1.pgdg120+1
      POSTGRES_DB: immich
      POSTGRES_INITDB_ARGS: --data-checksums
      POSTGRES_PASSWORD: '***SENSITIVE_VALUE*** (post...)'
      POSTGRES_USER: postgres
    image: ghcr.io/immich-app/postgres:14-vectorchord0.3.0-pgvectors0.2.0
    restart: always
    stop_signal: SIGINT
    volumes:
    - /srv/mergerfs/presscloud/immich/postgres:/var/lib/postgresql/data:rw
